#
# spec file for package libao (Version 0.8.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel audiofile esound esound-devel kdelibs kdelibs-artsd kdelibs-devel
# usedforbuild    aaa_base aaa_dir alsa alsa-devel audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd kdelibs kdelibs-artsd kdelibs-devel less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         libao
%define my_provides /tmp/my-provides
Summary:      Cross Platform Audio Output Library
Version:      0.8.0
Release:      88
Group:        System Environment/Libraries
Copyright:	GPL
URL:		http://www.xiph.org/
BuildRoot: /tmp/%{name}-%{version}-root
# Source: %{name}-%{version}.tar.bz2
Source: %{name}-cvs20010813.tar.bz2
# Requires:	esound >= 0.2.8

%description
Libao is a cross platform audio output library.  It currently supports
ESD, OSS, Solaris, and IRIX.

Authors:
--------
    Aaron Holtzman
    Stan Seibert <indigo@aztec.asu.edu>
    Jack Moffitt <jack@icecast.org>

SuSE series: snd

%package devel
Summary:      Development package for libao
Group: Development/Libraries
Requires: libao = %{version}

%description devel
This package contains the header files and documentation
needed to develop applications with libao.

Authors:
--------
    Aaron Holtzman
    Stan Seibert <indigo@aztec.asu.edu>
    Jack Moffitt <jack@icecast.org>

SuSE series: snd

%package arts
Summary:      aRts output plugin for libao
Group:        System Environment/Libraries
Requires: libao = %{version}

%description arts
This package contains the aRts output plugin for libao.

Authors:
--------
    Aaron Holtzman
    Stan Seibert <indigo@aztec.asu.edu>
    Jack Moffitt <jack@icecast.org>

SuSE series: snd

%prep
# %setup
%setup -n ao
%{?suse_update_config:%{suse_update_config -fl}}
libtoolize -f --automake
aclocal
automake -a
autoconf

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip
# exclude plugins from the provide-list
cat << EOF > %{my_provides}
grep -v %{_libdir}/ao/ | %{__find_provides}
EOF
chmod 755 %{my_provides}
%define __find_provides %{my_provides}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
rm -f %{my_provides}

%files
%defattr(-,root,root)
%doc AUTHORS CHANGES COPYING README
%{_libdir}/libao.so.*
%ifnarch s390
%{_libdir}/ao/libalsa.so
%{_libdir}/ao/libesd.so
%endif
%{_libdir}/ao/liboss.so

%files devel
%doc doc/*.html doc/*.c doc/*.css
%{_includedir}/ao
%{_libdir}/libao.so
%{_libdir}/libao.la
%{_datadir}/aclocal/ao.m4

%files arts
%{_libdir}/ao/libarts.so

%changelog -n libao
* Mon Aug 13 2001 - tiwai@suse.de
- updated to 1.0rc2 from cvs 20010813.
* Fri Aug 03 2001 - tiwai@suse.de
- added kdelibs-arts to needeforbuild.
- fixed build on s390.
* Thu Jun 07 2001 - iwai@suse.de
- fixed build with the recent libtool.
* Wed Mar 21 2001 - tiwai@suse.de
- added alsa plugin.
- added arts plugin.  provided as a separate package, libao-arts.
* Mon Feb 26 2001 - tiwai@suse.de
- Updated to ver.0.6.0.
* Wed Jan 31 2001 - tiwai@suse.de
- Initial version: 0.5.0
